{capture assign="headData"}
    <script type="text/javascript" src="{'/javascript/config'|url}"></script>
    <script type="text/javascript" src="{'/javascript/core/engine.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/core/ajax.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/TextLengthCounter.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/KeywordSelector.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/webmaster/WebsiteEditor.js'|resurl}"></script>
    <script type="text/javascript" src="{'/admin/javascript/ad/AdEditor.js'|resurl}"></script>
    <script type="text/javascript" src="{'/admin/javascript/category/IndexOnLoad.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/tiny_mce/tiny_mce.js'|resurl}"></script>
    <script type="text/javascript" src="{'/javascript/tiny_mce/basic_config.js'|resurl}"></script>
    <script type="text/javascript">
    setting.siteDescriptionMaxLength = {$setting.siteDescriptionMaxLength};
    setting.maxKeywordsCountPerSite = {$setting.maxKeywordsCountPerSite};
    setting.metaDataUrl = "/admin/site/getMetaData";
    setting.parentCategoryId = {$parentCategoryId};
    setting.adPage = "category{$parentCategoryId}";
    setting.adPage2 = "siteCustomCategory{$parentCategoryId}";
    tinyMCE.execCommand('mceAddControl', false, 'categoryDescription'); 
    </script>

{/capture}

{include file='includes/header.tpl' page="index" title="{'Sites and categories'|lang}"}

<div id="left">

{include file='menu/menuleft/menuleftIndex.tpl'}

</div>

<div id="right">
</div>

<div id="middle">
<div class="column">

<div class="title_h_1">
<h1>{'Subcategories'|lang}</h1>
</div>
<div class="show_arbo">
<a href="{'/admin/category'|url}" class="link_bold">{'Root'|lang}</a>
{foreach from=$categoryParentsData value=category}
    &gt; <a href="{"/admin/category/index/$category.parentId/"|url}" class="link_bold"> {$category.name} </a>
{/foreach}
<br /><br />
<select name="parentCategoryId" id="categoriesSelect">
<option value="0">{'Root'|lang}</option>
{html_options options=$categoriesSelect selected=$parentCategoryId}
</select>
</div>

<div class="column_in_table">
<table class="table1" cellspacing="1">
<thead>
<tr>
    <th>{'Name of categories'|lang}</th>
    <th>{'Possible tender'|lang}</th>
    <th>{'Management'|lang}</th>
</tr>
</thead>
<tbody>
{foreach from=$categories value=category}
<tr class="line{cycle values='1,2'}">
    <td><a href="{"/admin/category/index/$category.categoryId"|url}" title="{$category.name}">
        <img src="{"/uploads/images_categories/$category.imageSrc"|resurl}" alt="" class="categories" /> {$category.name} ({$category.validatedSitesCount})</a></td>
    <td>{if $category.possibleTender}<span class="text_green">{'Yes'|lang}</span>{else}<span class="text_red">{'No'|lang}</span>{/if}</td>
    <td><a href="{"/admin/category/edit/$category.categoryId"|url}" title="{'Edit category'|lang} {$category.name}" class="link_green">{'Edit'|lang}</a> |
        <a onclick="return confirm('{'Do you really want to delete it?'|lang}')" href="{"/admin/category/delete/$category.categoryId"|url}" title="{'Delete category'|lang} {$category.name}" class="link_red">{'Delete'|lang}</a></td>
</tr>
{/foreach}
</tbody>
</table>
</div>

<div class="title_h_2">
<h2>{if empty($currentCategory)}{'To create a principal category'|lang}{else}{'To create a subcategory in'|lang} {$currentCategory.name}{/if}</h2>
</div>
<div class="column_in_table2">
<form action="{'/admin/category/saveNew'|url}" method="post" enctype="multipart/form-data">
<input type="hidden" name="parentCategoryId" value="{$parentCategoryId}" />
<table class="table2" cellspacing="1">
<tbody>
<tr>
    <td>{'Name of category'|lang}: </td>
    <td><input type="text" class="input_text_medium" name="name" value="" /></td>
</tr>
<tr>
    <td>{'Title of category (optional)'|lang}: </td>
    <td><input type="text" class="input_text_medium" name="title" value="" /></td>
</tr>
<tr>
    <td>{'Possible tender'|lang}: </td>
    <td><input type="radio" name="possibleTender" value="1" checked="checked" /> {'ON'|lang} &nbsp;&nbsp;<input type="radio" name="possibleTender" value="0" /> {'OFF'|lang}</td>
</tr>
<tr>
    <td>{'Category is forbidden'|lang}:<br />
        <span class="text_explication">{'Category is forbidden description'|lang}</span></td>
    <td><input type="radio" name="forbidden" value="1" /> {'ON'|lang} &nbsp;&nbsp;<input type="radio" name="forbidden" value="0" checked="checked" /> {'OFF'|lang}</td>
</tr>
<tr>
    <td>{'Category Image'|lang}: <br />
        <span class="text_explication">{'Allows you to set an image in the category'|lang}.</span></td>
    <td><input type="file" class="input_text_medium" style="width:247px;" name="categoryImage" /></td>
</tr>
<tr>
    <td>{'Text to be posted in the category (optional)'|lang}: <br />
        <span class="text_explication">{'Allows to add a description of the category to have more contents targeted for referencing'|lang}.</span> </td>
    <td><textarea class="textarea_large" name="description" cols="50" rows="5" id="categoryDescription"></textarea></td>
</tr>
<tr>
    <td></td>
    <td><input type="submit" class="button" value="{'Create the category'|lang}"  /></td>
</tr>
</tbody>
</table>
</form>
</div>

{if $parentCategoryId}

<div class="title_h_2">
<h2>{'Sites in'|lang} {$currentCategory.name}</h2>
</div>
<div class="column_in_table2">
<table class="table1" cellspacing="1">
<thead>
<tr>
    <th>{'Name of sites'|lang}</th>
    <th>{'Site is banned'|lang}</th>
    <th>{'Backlink'|lang}</th>
    <th>{'Management'|lang}</th>
</tr>
</thead>
<tbody>
{foreach from=$sites value=site}
<tr class="line{cycle values='1,2'}">
    <td><a href="{"/admin/site/edit/$site.siteId"|url}" title="{$site.siteTitle}">{$site.siteTitle}</a></td>
    <td>{if $site.status == 'banned'}<span class="text_red">{'Yes'|lang}</span>{else}<span class="text_green">{'No'|lang}</span>{/if}</td>
    <td>{if $site.returnBond == ''}<span class="text_red">{'No'|lang}</span>{else}<span class="text_green">{'Yes'|lang}</span>{/if}</td>
    <td><a href="{"/admin/site/edit/$site.siteId"|url}" title="Edit site {$site.siteTitle}" class="link_green">{'Edit'|lang}</a> |
        <a onclick="return confirm('{'Do you really want to delete it?'|lang}')" href="{"/admin/site/delete/$site.siteId"|url}" title="Delete site {$site.siteTitle}" class="link_red">{'Delete'|lang}</a></td>
</tr>
{/foreach}
</tbody>
</table>

{include file="includes/pageNavigation.tpl"}

</div>

<div class="title_h_2">
<h2>{'To add site in'|lang} {$currentCategory.name}</h2>
</div>
<div class="column_in_table2">
<form action="{'/admin/site/saveNew'|url}" method="post" id="websiteEditForm">
<input type="hidden" name="categoryId" value="{$parentCategoryId}" />
<input type="hidden" name="forceCategoryDuplicate" value="0" />
<input type="hidden" name="forcePossibleTender" value="0" />
<div class="column_in_subbmit">
{'General Information'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<tbody>
{if $setting.countryFlagsEnabled}
<tr>
    <td>{'Language site'|lang}: </td>
    <td><select name="countryCode" class="" id="countryCode">

        <option value=''>{'Select language site'|lang}</option>
        {html_options options=$countryFlags}
        </select>
        <img src="" alt="" id="countryFlagImage" style="display:none;" />
    </td>
</tr>
{/if}
<tr>
    <td>{'Webmaster'|lang}: </td>
    <td><select name="webmasterId">
        <option value="0">Admin</option> 
        {html_options options=$webmasters}
        </select></td>
</tr>
<tr>
    <td>{'Name'|lang}: </td>
    <td><input type="text" class="input_text_large" name="webmasterName" value="" /></td>
</tr>
<tr>
    <td>{'E-mail'|lang}: </td>
    <td><input type="text" class="input_text_large" name="webmasterEmail" value="" /></td>
</tr>
<tr>
    <td>{'Title of site'|lang}: </td>
    <td><input type="text" class="input_text_large" name="siteTitle" value="" /></td>
</tr>
<tr>
    <td>{'Adress of site (Url)'|lang}: </td>
    <td><input type="text" class="input_text_metas" name="url" value="http://" /> <input type="button" class="button" value="{'Metas'|lang}" id="metaTagButton"/></td>
</tr>
<tr>
    <td>{'Title of RSS flux'|lang}:</td>
    <td><input type="text" class="input_text_large" name="rssTitle" value="" /></td>
</tr>
<tr>
    <td>{'Adress of RSS flux (Url)'|lang}:</td>
    <td><input type="text" class="input_text_large" name="rssFeedOfSite" value="" /></td>
</tr>
<tr>
    <td>{'Adress of return link (Url)'|lang}:</td>
    <td><input type="text" class="input_text_large" name="returnBond" value="" /></td>
</tr>
<tr>
    <td>{'Description of site'|lang}:</td>
    <td><textarea class="textarea_extra_large" name="description" cols="50" rows="5"></textarea><br />
        <span class="text_red" id="siteDescrCharsLeftField"></span>&nbsp;{'characters remaining'|lang}.</td>
</tr>
</tbody>
</table>
</div>

<div class="column_in_subbmit">
{'Keywords'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<tbody>
{ math equation="x + 1" x=$setting.maxKeywordsCountPerSite assign="stopLimit"}

{for start=1 stop=$stopLimit step=1 value=i}
<tr id="keyword_{$i}" style="visibility: hidden;">
    <td>{'Keyword'|lang} {$i}:</td>
    <td><select name="keywords[{$i}]">
            <option value=""> {'Choose your key word'|lang} </option>

                {foreach from=$allKeywordsList value=keyword key=keywordId}
                <option value="{$keywordId}" >{$keyword} </option>
                {/foreach}
        </select></td>
</tr>
{/for}
</tbody>
</table>
</div>



{if $setting.companyInfoEnabled}
<div class="column_in_subbmit">
{'Information about the company'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<tbody>
<tr>
    <td>{'Adress'|lang}:</td>
    <td><input type="text" class="input_text_large" name="address" value="" /></td>
</tr>
<tr>
    <td>{'ZIP Code'|lang}:</td>
    <td><input type="text" class="input_text_large" name="zipCode" value="" /></td>
</tr>
<tr>
    <td>{'City'|lang}:</td>
    <td><input type="text" class="input_text_large" name="city" value="" /></td>
</tr>
<tr>
    <td>{'Country'|lang}:</td>
    <td><input type="text" class="input_text_large" name="country" value="" /></td>
</tr>
<tr>
    <td>{'Phone number'|lang}:</td>
    <td><input type="text" class="input_text_large" name="phoneNumber" value="" /></td>
</tr>
<tr>
    <td>{'Fax number'|lang}:</td>
    <td><input type="text" class="input_text_large" name="faxNumber" value="" /></td>
</tr>
</tbody>
</table>
</div>
{/if}

<div class="column_in_subbmit">
{'Other information, setting'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<tbody>
<tr>
    <td>{'Priority'|lang}:</td>
    <td><select name="priority">
       {html_options options=$priorites}
        </select></td>
</tr>
<tr>
    <td></td>
    <td>
    <div id="siteLoader" style="display:none;"> {'Checking site...'|lang} <img src="{'/templates/arfooo/images/loader.gif'|url}"></div>
    <input type="submit" class="button" value="{'Add the site'|lang}" /></td>
</tr>
</tbody>
</table>
</form>
</div>
</div>

<form id="editAdsForm" style="visibility:hidden">
<div class="title_h_2">
<h2>{'Adsense in'|lang} {$currentCategory.name}</h2>
</div>
<div class="column_in_table2">
<table class="table2" cellspacing="1">
<tbody>
<tr>
    <td>{'Predefine adsense'|lang}: <br />
    <span class="text_explication">{'If this option is activated, the adsense will be "ON"'|lang}.<br />
{'The adsense will be displayed in the category and on the site according to your settings'|lang}.</span></td>
    <td><input type="radio" name="predefine" value="1" /> {'ON'|lang} &nbsp;&nbsp;<input type="radio" name="predefine" value="0" /> {'OFF'|lang}</td>
</tr>
<tr>
    <td>{'Activate adsense'|lang}: </td>
    <td><input type="radio" name="general" value="1" /> {'ON'|lang} &nbsp;&nbsp;<input type="radio" name="general" value="0" /> {'OFF'|lang}</td>
</tr>
</tbody>
</table>
</div>

<div class="title_h_2">
<h2>{'Adsense in'|lang} {$currentCategory.name}</h2>
</div>
<div id="ads_principal">

<div id="ads_top1">
<div id="ads_top_left">
{'HEADER - BANNER'|lang}
</div>
<div id="ads_top_right">
<select name="header">
{html_options options=$adCriterias}
</select>
</div>
</div>

<div id="ads_top2">
{'HORIZONTAL MENU'|lang}
</div>

<div id="ads_main1">
<div id="ads_main2">

<div id="ads_left">
<div class="ads_menuleft">
<ul>
<li class="text">{'Menu left'|lang}</li>
<li><a href="index1WaitingSites.php" title="Waiting sites">{'Menu'|lang}</a></li>
<li class="end"></li>
</ul>
</div>
<div class="ads_menu_ads">
<select name="leftMenu">
{html_options options=$adCriterias}
</select>
</div>
</div>

<div id="ads_right">
<div class="ads_menuright">
<ul>
<li class="text">{'Menu right'|lang}</li>
<li><a href="index1WaitingSites.php" title="Waiting sites">{'Menu'|lang}</a></li>
<li class="end"></li>
</ul>
</div>
<div class="ads_menu_ads">
<select name="rightMenu">
{html_options options=$adCriterias}
</select>
</div>
</div>

<div id="ads_middle">
<div class="ads_column">

<div class="ads_show_arbo">
<a href='categoriesAndSites.php?parentID=0' class='link-admin-show'>{'Root'|lang}</a> &gt; <a href='categoriesAndSites.php?parentID=1' class='link-admin-show'>{$currentCategory.name}</a>
</div>

<div class="ads_column_in_select">
<select name="overSubcategories">
{html_options options=$adCriterias}
</select>
</div>

<div class="ads_title_out">
<div class="ads_title">
{'Name of categorie'|lang}
</div>
</div>
<div class="ads_column_in">
{'category'|lang} 1 {'category'|lang} 2<br />
{'category'|lang} 3 {'category'|lang} 4
</div>

<div class="ads_column_in_select">
<select name="overDescription">
{html_options options=$adCriterias}
</select>
</div>

<div class="ads_column_in">
<i>{'Descriptive text of the category, if you have entered one...'|lang}</i>
</div>

<div class="ads_column_in_select">
<select name="overSitesList">
{html_options options=$adCriterias}
</select>
</div>

{for start=1 stop=10 step=1 value=i}
<div class="ads_column_in{cycle values='_grey,'}">
{'site'|lang} {$i}
</div>

<div class="ads_column_in_select">
<select name="sitePosition{$i}">
{html_options options=$adCriterias}
</select>
</div>
{/for}

</div>
</div>

<div class="fixe">&nbsp;
</div>

</div>
</div>

<div id="ads_bottom">
<div class="ads_column_bottom">
{'FOOTER'|lang}
</div>
</div>

</div>

</form>


<form id="editAdsForm2">
<div class="title_h_2">
<h2>{'Predefine the position of adsenses in the sites'|lang} {$currentCategory.name}</h2>
</div>
<div class="column_in_table2">
<table class="table2" cellspacing="1">
<tbody>
<tr>
    <td>{'Predefine adsense'|lang}: <br />
    <span class="text_explication">{'If this option is activated, the adsense will be "ON"'|lang}.<br />
{'You can manage advertising very easily to all sites in this category. Its main purpose is to modify or adapt a control specialist for special categories (x sites, casino ...)'|lang}.</span></td>
    <td><input type="radio" name="general" value="1" /> {'ON'|lang} &nbsp;&nbsp;<input type="radio" name="general" value="0" /> {'OFF'|lang}</td>
</tr>
</tbody>
</table>
</div> 
<div class="title_h_2">
<h2>{'Predefine the position of adsenses in the sites'|lang}</h2>
</div>
<div id="ads_principal">
    
<div id="ads_top1">
<div id="ads_top_left">
{'HEADER - BANNER'|lang}
</div>
<div id="ads_top_right">
<select name="header" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>
</div>

<div id="ads_top2">
{'HORIZONTAL MENU'|lang}
</div>
    
<div id="ads_main1">
<div id="ads_main2">
    
<div id="ads_left">
<div class="ads_menuleft">
<ul>
<li class="text">{'Menu left'|lang}</li>
<li><a href="index1WaitingSites.php" title="Waiting sites">{'Menu'|lang}</a></li>
<li class="end"></li>
</ul>
</div>
<div class="ads_menu_ads">
<select name="leftMenu">
{html_options options=$adCriterias}
</select>
</div>
</div>
    
<div id="ads_right">
<div class="ads_menuright">
<ul>
<li class="text">{'Menu right'|lang}</li>
<li><a href="index1WaitingSites.php" title="Waiting sites">{'Menu'|lang}</a></li>
<li class="end"></li>
</ul>
</div>
<div class="ads_menu_ads">
<select name="rightMenu" >
{html_options options=$adCriterias}
</select>
</div>
</div>
    
<div id="ads_middle">
<div class="ads_column">
    
<div class="ads_show_arbo">
{'Root'|lang} &gt; {'sites'|lang}</a>
</div>
    
<div class="ads_column_in_select"> 
<select name="overInformationOfWebsite" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>

<div class="ads_title_out"> 
<div class="ads_title">
{'Title of site'|lang}
</div> 
</div> 
<div class="ads_column_in"> 
{'Information site'|lang}     
</div>
    
<div class="ads_column_in_select"> 
<select name="underInformationOfWebsite" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>
    
<div class="ads_column_in"> 
{'Information RSS flux'|lang}
</div>
    
<div class="ads_column_in_select"> 
<select name="underInformationFluxRss" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>

<div class="ads_column_in">  
{'Information Google'|lang}
</div>
        
<div class="ads_column_in_select"> 
<select name="underInformationGoogle" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>

<div class="ads_column_in">  
{'Information Company'|lang}
</div>
        
<div class="ads_column_in_select"> 
<select name="underInformationCompany" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>

<div class="ads_column_in">  
{'Thematic close website'|lang}
</div>
        
<div class="ads_column_in_select"> 
<select name="underThematicCloseWebsite" class="select-categoriesandgames">
{html_options options=$adCriterias}
</select>
</div>
    
</div> 
</div>
    
<div class="fixe">&nbsp;
</div>
    
</div>
</div>
       
<div id="ads_bottom">
<div class="ads_column_bottom">
{'FOOTER'|lang}
</div>
</div>
      
</div>
</form>

{/if}

{include file='includes/footer.tpl'}