{include file='includes/header.tpl' page="user" title="{'Edit webmaster'|lang}"}  

<div id="left">

{include file='menu/menuleft/menuleftUsers.tpl'} 

</div>

<div id="right">
</div>

<div id="middle"> 
<div class="column">

<div class="title_h_1">
<h1>{'Edit webmasters'|lang} : {$webmaster.email}</h1>
</div>
<div class="column_in_table2">
<table class="table1" cellspacing="1">
<thead>
<tr>
	<th>{'Url'|lang}</th>
	<th>{'Status'|lang}</th>
	<th>{'Backlink'|lang}</th>
	<th>{'Management'|lang}</th>
</tr>
</thead>
<tbody>
{foreach from=$userSites value=site}
<tr class="line{cycle values='1,2'}">
	<td><a href="{$site.url}" title="{$site.siteTitle}">{$site.url}</a></td>
	<td>

    {switch from=$site.status}
        {case value="validated"}
            <span class="text_green">{'Validated'|lang}</span>
        {case value="waiting"}
            <span class="text_red">{'Waiting'|lang}</span>
        {case value="banned"}
            <span class="text_red">{'Banished'|lang}</span>
    {/switch}
    
    </td>
	<td>{if $site.returnBond != ""}<span class="text_green">{'Yes'|lang}</span>{else}<span class="text_red">{'No'|lang}</span>{/if}</td>
	<td><a href="{"/admin/site/edit/$site.siteId"|url}" title="{'Edit site'|lang}" class="link_green">{'Edit'|lang}</a> | 
		<a onclick="return confirm('{'Do you really want to delete it?'|lang}')" href="{"/admin/site/delete/$site.siteId"|url}" title="{'Delete site'|lang}" class="link_red">{'Delete'|lang}</a></td>
</tr>
{/foreach}

</tbody>
</table>
</div>
                         
<div class="title_h_2">
<h2>{'Change login'|lang}</h2>
</div>
<div class="column_in_table2">
<form action="{"/admin/user/updateWebmaster/$webmaster.userId"|url}" method="post">
<table class="table2" cellspacing="1">
<tbody>
<tr>
	<td>{'Change login'|lang}: </td>
	<td><input type="text" class="input_text_medium" name="email" value="{$webmaster.email}" /></td>
</tr>
<tr>
	<td></td>
	<td><input type="submit" name="save" class="button" value="{'Save'|lang}" /> <input type="submit" name="delete" class="button" value="{'Delete'|lang}" onclick="return confirm('{'Do you really want to delete it?'|lang}')" /></td>
</tr>
</tbody>
</table>
</form>
</div>

{include file='includes/footer.tpl'}    