<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class SiteHttpCodeBackgroundTask extends BackgroundTask
{
    protected $taskId = "siteHttpCode";
    private $httpClient;
    
    protected function beforeParsing()
    {
        $this->httpClient = new HttpClient();
    }
    
    protected function loadItems()
    {
        $c = new Criteria();
        $this->items = $this->site->findAll($c, "siteId, url");        
    }

    protected function parseItem($site)
    {
        $httpCode = $this->httpClient->checkResponseCodeOfSite($site['url']);
        $this->site->updateByPk(array("httpCode" => $httpCode), $site['siteId']);
    }
}
        
?>