TextLengthCounter = function (){}

TextLengthCounter.prototype = {
    
    maxCharsCount: 0,
    minCharsCount: 0,
    field: null,
    layer: null,
    
    appendToField: function(field, maxCharsCount, layer, minCharsCount)
    {
        this.maxCharsCount = maxCharsCount;
        this.layer = $(layer);
        this.field = $(field);
        if(minCharsCount)
        {
            this.minCharsCount = minCharsCount;
        } 
        
        field.onfocus = 
        field.onblur =
        field.onkeyup =
        field.onchange =
        field.onkeypress =
            this.updateStringLength.handler(this);
		    
	    this.updateStringLength();
    },
    
    updateStringLength: function ()
    {
        if(this.field.value.length > this.maxCharsCount)
        {
            this.field.value = this.field.value.substr(0, this.maxCharsCount);
        }

        var charsLeft = this.maxCharsCount - this.field.value.length;

        if(!charsLeft.toString().match('[1-9][0-9]*'))
        {
            charsLeft = '0';
        }

        this.layer.innerHTML = charsLeft.toString();
        
        this.layer.className = (this.field.value.length >= this.minCharsCount) ? "text_green" : "text_red";
        
    }

}