<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class XmlElement extends DomElement
{
    function addProperty($propertyName, $value)
    {
        $this->appendChild(new DOMElement($propertyName, $value));
        
        /*$property->appendChild(
            $property,
            $this->createTextNode($value)
            ); */
    }
  
    function addLink($location, $lastmod, $changefreq, $priority)
    {
        $item = new XmlElement("url"); 
        $this->appendChild($item);
        
        $item->addProperty('loc', $location);
        
        if($lastmod != '')
            $item->addProperty('lastmod', $lastmod);
            
        if($changefreq != '')
            $item->addProperty('changefreq', $changefreq);
            
        if ($priority != '')
            $item->addProperty('priority', $priority);
    }  
}

class XmlGenerator extends DOMDocument
{
    function __construct()
    {
        parent::__construct('1.0', 'UTF-8');
        $this->formatOutput = true; 
    }
}
    
?>