<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

/*  English language dictionary
	To create another language, 
	please, copy this file and replace 
	expressions with the same ones in the 
	new language.
	
	The file should be posted in /languages 
	folder. Its name sould be LanguageName.php,
	where LanguageName is the language, shown 
	in the CMS as an language option.
*/

$language = array();

/* !! set this value to the current language name, when creating new languages !! */
$languageName = 'English';

/* Front Sites Texts */

// header
$language['en'] = 'en';

// left menu
$language['Categories'] = 'Categories';
$language['Websites referenced'] = 'Approved links';
$language['Websites Waiting'] = 'Pending links';
$language['Websites Refused'] = 'Rejected links';
$language['Websites Banned'] = 'Banned websites';
$language['Websites Referenced'] = 'Approved links';
$language['Webmasters'] = 'Webmasters';
$language['Statistics'] = 'Statistics';

// right menu
$language['Members area'] = 'Members area';
$language['Members area management'] = 'Members area management';
$language['Management'] = 'Management';
$language['Search'] = 'Search';
$language['RSS Flux'] = 'RSS feed';
$language['Contact'] = 'Contact';
$language['Contact form'] = 'Contact form';
$language['Site'] = 'Website';
$language['Tag Cloud'] = 'Tag Cloud';
$language['Newsletter'] = 'Newsletter';
$language['Subscribe'] = 'Subscribe';
$language['Unsubscribe'] = 'Unsubscribe';

// header
$language['Directory'] = 'Directory';
$language['News'] = 'New';
$language['Top hits'] = 'Top hits';
$language['Top notes'] = 'Top rated';
$language['Top referrers'] = 'Top referrers';
$language['Top rank'] = 'Top rank';
$language['All categories'] = 'Categories';
$language['Submit website'] = 'Submit website';
$language['Inscriptions are currently disabled. Try again later.'] = 'Submissions are temporarily closed. Try again later.';
$language['New websites'] = '';

// footer
$language['Terms of use'] = 'Terms of use';

// inscriptions
$language['Detections of metas tags'] = 'Meta tag detection';
$language['Conditions for submitting your website'] = 'Terms of use for submitting your website';
$language['Next'] = 'Next';
$language['Skip detection'] = 'Skip detection';
$language['The URL must start with http://'] = 'The Url must start with http://';		
$language['This site is not allowed to be offered.'] = 'This website is banned';	// for banned sites
$language['This site is not allowed to be offered more times.'] = 'This website is already listed in the directory'; // for sites, offered in too many categories
$language['This site\' HTTP response code is not 200. The site is not accepted.'] = 'This website has a response code different from HTTP 200. The website cannot be submitted.'; 
$language['Sites cannot be offered for this category.'] = 'The website cannot be submitted in this category';
$language['Back'] = 'Back';
$language['Form to submit your site'] = 'Form to submit your website';
$language['Category'] = 'Category';
$language['Name'] = 'Name';
$language['E-mail'] = 'E-mail';
$language['Title of site'] = 'Website title';
$language['Address of site (Url)'] = 'Website address (Url)';
$language['Title of RSS Flux'] = 'RSS feed title';
$language['Address of Flux Rss (Url)'] = 'RSS feed address (Url)';
$language['Address of return link (Url)'] = 'Backlink address (Url)';
$language['Description of site'] = 'Website description';
$language['characters remaining.'] = 'Characters left';
$language['Proposal of category'] = 'Suggest a category';
$language['Proposal of Keywords'] = 'Suggest keywords';
$language['Keyword'] = 'Keyword';
$language['Keywords'] = 'Keywords';
$language['Security code'] = 'Security code';
$language['Send website'] = '';
$language['You have already added this keyword. Select another one.'] = 'You have already chosen this keyword. Select another one.';
$language['Choose your key word'] = 'Choose your keyword';
$language['Generate new image'] = 'Generate new code';
$language['Root'] = 'Index';
$language['Error'] = 'Error';
$language['Please, fill in the fields Name, Email, URL of site and Title of site.'] = 'Please, fill in the fields Name, Email, URL of site and Title of site.';
$language['Please, enter a valid e-mail address.'] = 'Please enter a valid e-mail address';
$language['The site is already registered in this category.'] = 'This website is already listed in this category';
$language['The HTTP response code of this site is not 200. The site is not accepted.'] = 'The response code of the website is different from HTTP 200. This website cannot be submitted';
$language['Please, select a category from the dropdown list.'] = 'Please select a category';
$language['You did not guess the protection image. Please, try again.'] = 'Please enter a valid security code';
$language['Website submitted'] = 'You have submitted your website'; // for email message to administrator
$language['Your site submission was successful: '] = 'Your website has been submitted successfully';
$language['. Now it is waiting for aproval.'] = 'Waiting for approval';
$language['Your web site has been properly submitted.'] = 'Your website has been submitted successfully';
$language['Once the webmaster has reviewed your site when you receive an email with the choice of webmaster.'] = 'You will receive an e-mail once your link is approved or rejected.';
$language['Confirmation of submission of the website'] = 'Website submission confirmation';
$language['So it is referenced in the category of your choice.'] = 'The website is now listed in the category of your choice';
$language['Your website has been automatically accepted.'] = 'Your website has been approved';
$language['Login members area'] = 'Identification';
$language['Password'] = 'Password';
$language['Repeat password'] = 'Repeat password';
$language['Login'] = 'Login';
$language['Lost password'] = 'Lost password';
$language['Regulation and conditions of submission of websites'] = 'Regulation and conditions of submission of websites';
$language['Inscription'] = 'Registrer';
$language['Passwords are not equall.'] = 'The passwords do not match';
$language['Please enter a not-empty password.'] = 'Please enter a password';
$language['busy'] = 'already used';
$language['Please, use another e-mail. This one is busy.'] = 'Please use another e-mail. This one is already used.';
$language['The registration was successful! You can login now.'] = 'The registration was successful. You can now login.';
$language['You did not guess the security code. Try again with a new one.'] = 'Please enter a valid security code.';
$language['Webmaster login'] = 'Webmaster login';
$language['General information'] = 'General information';
$language['Language site'] = 'Website language';
$language['Select language site'] = 'Select website language';
$language['A back link to your site is not mandatory but recommended'] = 'A backlink to our directory is not mandatory but recommended';
$language['By making a backlink, your site will have many advantages'] = 'By placing a backlink, your website will have many advantages like improved position in its category and might get listed in our top referrers page';
$language['If you put a backlink to your site, it must already be present before you submit your site'] = 'If you place a backlink in your website, it must already be present before you submit your link';
$language['Please indicate the url backlink in the fields below'] = 'Please enter the backlink URL in the field below';
$language['Backlink Html code 1'] = 'Backlink Html code 1';
$language['Link to the index'] = 'Link to the index';
$language['Backlink Html code 2'] = 'Backlink Html code 2';
$language['Link to the category where your site is indexed'] = 'Link to the category where your website is submitted';
$language['Subscribe to the newsletter'] = 'Subscribe to the newsletter';

// lost webmaster password
$language['A new password will be sent to your email address.'] = 'A new password will be sent to your e-mail address.';
$language['Generate new password'] = 'Generate new password';

// webmaster management page
$language['Webmaster management'] = 'Webmaster management';
$language['Members area'] = 'Members area';
$language['Website / URL'] = 'Website / Url';
$language['Status'] = 'Status';
$language['Edit your website'] = 'Edit your website';
$language['Add your website'] = 'Add your website';
$language['Add website'] = 'Add website';
$language['Logged user'] = 'Username';
$language['Log off'] = 'Logout';
$language['Waiting'] = 'Pending';
$language['Accepted'] = 'Accepted';
$language['Waiting'] = 'Pending';
$language['Do you really want to delete it?'] = 'Do you really want to delete your website?';
$language['delete your website'] = 'Delete your website';
$language['Edit your website'] = 'Edit your website';
$language['Delete'] = 'Delete';
$language['Edit'] = 'Edit';
$language['View'] = 'View';
$language['See the site in the directory'] = 'View the website in the directory';
$language['Go'] = 'View';

// submitting site form for registered webmaster
$language['Meta tags'] = 'Meta tags';
$language['Please, fill in the fields URL of site, Title and Description.'] = 'Please fill in the website Url, Title and Description fields';
$language['The site was successfully submitted.'] = 'The website has been submitted successfully';
$language['Submit website'] = 'Submit website';
$language['Submit your site'] = 'Submit your website';
$language['Webmaster add/edit site'] = 'Webmaster - add/edit your website';
$language['Select category'] = 'Select a category';
$language['Adress of RSS Flux (Url)'] = 'RSS feed address (Url)';
$language['Adress of return link (Url)'] = 'Backlink address (url)';
$language['characters remaining'] = 'Characters left';
$language['Checking site'] = 'Checking website';
$language['Send the site'] = 'Send website';    
$language['This email is banned.'] = 'This e-mail is banned';
$language['Your IP is banned.'] = 'Your IP is banned';
$language['Information about your Company / Used to appear on google map'] = 'Information about your company / Shows details on Google Maps';
$language['Adress'] = 'Address';
$language['ZIP Code'] = 'Postal code';
$language['City'] = 'City';
$language['Country'] = 'Country';    
$language['Phone number'] = 'Phone number';
$language['Fax number'] = 'Fax number';

// edit form
$language['Edit site'] = 'Edit website';
$language['Your site was submitted again.'] = 'Your website was submitted again.';
$language['Edit website'] = 'Edit website';

// index
$language['Web sites listed in the directory'] = 'Websites listed in the directory';
$language['Currently there are no selected sites.'] = 'There are no selected websites';

// category
$language['Pages'] = 'Pages';
$language['New site'] = 'New website';
$language['Details'] = 'Details';
$language['No sites were found.'] = 'No websites were found';

// rss link
$language['Sites in this category'] = 'Websites in this category';

// news RSS 
$language['The new sites'] = 'New websites';
$language['page'] = 'page';

// nouveautes
$language['New sites'] = 'New websites';
$language['No sites were added recently.'] = 'No websites were added recently';

// keywords
$language['Directory of words starting with'] = 'Directory of words starting with';	
$language['Keywords, starting with'] = 'Keywords starting with';

// search
$language['Search results'] = 'Search results';

// site details page
$language['Title'] = 'Title';
$language['Url'] = 'Url';
$language['Description'] = 'Description';
$language['Link return'] = 'Backlink';
$language['Notes'] = 'Notes';
$language['Hits'] = 'Hits';
$language['for'] = 'for';
$language['notes'] = 'ratings';
$language['Comments'] = 'Comments';
$language['Date of validation'] = 'Validation date';
$language['Title of the flux'] = 'Feed title';
$language['Write a comment'] = 'Write a comment';
$language['Report a problem'] = 'Report a problem';
$language['Rate this site'] = 'Rate this website';
$language['Interaction'] = 'Interaction';
$language['PageRank'] = 'PageRank';
$language['Number of backlinks'] = 'Number of backlinks';
$language['Number of indexed pages'] = 'Number of indexed pages';
$language['loading...'] = 'Loading...';
$language['Backlink'] = 'Backlink';
$language['Thematic close to'] = 'Related sites';
$language['Company information'] = 'Company information';

// popups for site details
$language['Vote'] = 'Vote';
$language['Note'] = 'Rating';
$language['Comment'] = 'Comment';
$language['Report a problem'] = 'Report a problem';
$language['Notes of website'] = 'Websites ratings';
$language['You can note this site.'] = 'You can rate this website.';
$language['Select the desired note between 0 and 5 :'] = 'Select a rating between 0 and 5';
$language['Note to max 5'] = 'The maximum rating is 5';
$language['votes'] = 'ratings';
$language['You will be able to vote for this site again 24h after your first vote, thank you.'] = 'You will be able to vote again for this website 24h after your first vote, thank you.';
$language['Average note'] = 'Average rating';
$language['Comments for website'] = 'Website comments';
$language['!!! Attention !!!'] = '!!! Warning !!!';
$language['The remarks exchanged here are intended only to comment on the sites.'] = 'Your comments must be related to this website.';
$language['Spam, advertising and rude or disrespectful words are prohibited.'] = 'Spam, advertising, foul and disrespectful language are banned';
$language['Thank you and good visit with you all.'] = 'Thank you and welcome to you all';
$language['You are not allowed to post comments.'] = 'You are not authorised to post comments';
$language['You have already commented this site today.'] = 'You have already posted a comment for this website in the last 24h';
$language['You did not guess the error correcting code, please try again.'] = 'Please re-enter a valid code.';
$language['Please, enter the protection code.'] = 'Please enter the protection code';
$language['Pseudo'] = 'Name';
$language['Comment'] = 'Comment';
$language['Security code'] = 'Security code';
$language['wrote on'] = 'wrote on';
$language['Please, enter a name or nickname.'] = 'Please enter your username';
$language['Please, enter a comment.'] = 'Please enter a comment';
$language['Do you want to report a problem of a website ?'] = 'Do you want to report a problem?';
$language['a bug, dead link...'] = 'a bug, a dead link...';
$language['Select your choice :'] = 'Select your choice';
$language['Thank you for your help.'] = 'Thank you for your help';
$language['You will be able to report a problem for this website again 24h after your first report, thank you.'] = 'You will be able to report a problem for this website again 24h after your first report, thank you.';
$language['Select Yes or No'] = 'Please select Yes or No';
$language['Yes'] = 'Yes';
$language['No'] = 'No';

// all categories
$language['All categories'] = 'Categories';

// contact form
$language['Message'] = 'Message';
$language['Subject'] = 'Subject';
$language['Send'] = 'Send';
$language['Please, fill in the field'] = 'Please fill in the field';
$language['Your message was sent.'] = 'Your message has been sent';
$language['Your message was not sent. Sorry for the inconvenience.'] = 'Your message cannot be sent. Sorry for the inconvenience.';
$language['You did not guess the security code.'] = 'Please enter a valid security code.';
$language['Try again.'] = 'Try again';

// top referrers
$language['Times being referrer'] = 'Number of visitors sent to the website';

// top rank
$language['Sites with pagerank'] = 'Websites with PageRank';
$language['Pagerank'] = 'PageRank';

//footer
$language['Powered by'] = 'Powered by';
$language['2007 - 2008'] = '2007 - 2009';
$language['http://www.arfooo.com/'] = 'http://www.arfooo.net/';
$language['Directory for seo'] = 'Directory for seo';
$language['Arfooo Directory'] = 'Arfooo Directory';
$language['Adapted by'] = 'Adapted by';
$language['Themes Arfooo'] = 'Themes Arfooo';
$language['http://script.arfooo.net/themes/'] = 'http://script.arfooo.net/themes/';

//webmaster/changePassword
$language['Change your password'] = 'Change your password';
$language['New password'] = 'New password';
$language['Repeat new password'] = 'Repeat new password';
$language['Change password'] = 'Change password';

//js messages
$language['You modify the webmaster of this site. Do you want the fields Webmaster Email and Webmaster Name to be refreshed, or you want to modify them manually?'] = 'When changing the website webmaster, the e-mail will also change';
$language['The comment was saved.'] = 'The comment was saved';
$language['The comment was deleted.'] = 'The comment was deleted';
$language['The IP was banned.'] = 'The IP was banned';
$language['Country is mandatory.'] = 'Country is mandatory.';
$language['Description of site must have minimum'] = 'Description of site must have a minimum of';
$language['characters length.'] = 'characters length.';
$language['Backlink is mandatory.'] = 'Backlink is mandatory.';
$language['Please, select a package.'] = 'Please, select a package.';
$language['Please, select a payment processor.'] = 'Please, select a payment processor.';
$language['Please enter a valid code'] = 'Please enter a valid code';
$language['Can`t check code on allopass.com'] = 'Can`t check code on allopass.com';
$language['You have entered an invalid code'] = 'You have entered an invalid code';
$language['This code was used earlier'] = 'This code was used earlier';
$language['Allopass was validated sucessfully.'] = 'Allopass was validated sucessfully.';
$language['You have successfully post comment'] = 'You have successfully posted your comment';
$language['The registration was successful! You must confirm your email. Check your inbox.'] = 'The registration was successful! You must confirm your email. Check your inbox.';

//Error page
$language['Error, Page not found...'] = 'Error, Page not found...';
$language['The page you want to achieve is not (or more). Excuse us for the inconvenience...'] = 'The page you are trying to reach doesn\'t exist or is no longer available. Sorry for the inconvenience...';

//Payment
$language['Payment'] = 'Payment';
$language['Package'] = 'Package';
$language['Select a package'] = 'Select a package';
$language['Package description'] = 'Package description';
$language['Payment method'] = 'Payment method';
$language['Select a payment method'] = 'Select a payment method';
$language['Your Choice'] = 'Your Choice';
$language['Price'] = 'Price';
$language['Choice description'] = 'Choice description';
$language['Allopass Code'] = 'Allopass Code';
$language['Free'] = 'Free';
$language['Privileged'] = 'Privileged';
$language['Choose a package and your payment method'] = 'Choose a package and your payment method';
$language['A detailed description of the package appears when you select a package'] = 'A detailed description of the package appears when you select a package';
$language['Choose your method for submitting a website'] = 'Choose your method for submitting a website';
$language['Free submission'] = 'Free Submission';
$language['Standard submission without privileges'] = 'Standard submission without privileges';
$language['Privilege submission'] = 'Privilege submission';
$language['Submission allowing you to get some privileges'] = 'Submission allowing you to get some privileges';
$language['Next step'] = 'Next step';
$language['Payment under audit'] = 'Payment verification';
$language['The payment is being verified'] = 'The payment is being verified';
$language['Thank you kindly wait'] = 'Thank you kindly for waiting';
$language['You will be redirected to the submission form after verification'] = 'You will be redirected to the submission form after verification';

//Verification
$language['Email verification'] = 'Email verification';
$language['Thank you for verifying your email'] = 'Thank you for verifying your email';
$language['You can now log into your account'] = 'You can now log into your account';
$language['Thank you for confirming your registration to the newsletter'] = 'Thank you for confirming your registration to the newsletter';
$language['Thank you for confirming your unsubscribe to the newsletter'] = 'Thank you for confirming your unsubscribtion to the newsletter';


/* END Front Sites Texts */
	
/*foreach ($language as $key => $val)
{
	$language[$key] = str_replace("'", "`",$val);
} */

// set values of English expressions same as keys
if ($languageName == 'English')
{
	foreach ($language as $key => $val)
	{
		if ($val == '')
			$language[$key] = $key;
	}
}
?>